Первым делом я создал папку на рабочем столе под названием: "lab1".
Затем я использовал команду: 

```
git init
```
Она была использована для создания пустого Репозитория.

После использования данной команды выходит такой ответ: 

```
$ git init
Initialized empty Git repository in C:/Users/шоумен/Desktop/lab1/.git/
```

Следующим делом в папке я создал текстовый файл: ".gitignore" 
И поместил в него следующее: 

```
# в каталогах bin и obj записываются скомпилированные файлы
*/bin/
*/obj/
# в каталоге .vs хранятся локальные настройки VisualStudio
.vs/
# в каталоге packages хрянятся зависимости
packages/
```
Следующими командами я записал свое имя, фамилию и адрес электронной почты:

```
git config user.name "Ваше имя"
git config user.email "Ваша почта"
```
Ответа на данную команду нет.

Затем я добавил все файлы, которые у меня были в папке следующей командой: 

```
git add .
```
Ответа на данную команду нет.

После того, как я использовал данную команду, мне нужно проверить,
добавились ли файлы или нет, следующей командой: 

```
git status
```
После использования данной команды выходит такой ответ:

```
$ git status
On branch master

No commits yet

Changes to be committed:
  (use "git rm --cached <file>..." to unstage)
        new file:   .gitignore.txt
```

После добавления файлов, мне нужно было написать для них комментарий этой командой:

```
git commit -m "текст комментария"
```

После использования данной команды выходит такой ответ:

```
$ git commit -m "first commit"
[master (root-commit) bb4c291] first commit
 1 file changed, 7 insertions(+)
 create mode 100644 .gitignore.txt
```
Следующим действием я снова проверяю статус своих данных:

```
git status
```
После использования данной команды выходит такой ответ:

```
$ git status
On branch master
nothing to commit, working tree clean
```
Затем мне нужно было добавить ссылку на внешний репозиторий следующей командой:

```
git remote add origin <ссылка>
```
После использования данной команды выходит такой ответ:

```
$ git remote add origin https://kolei.ru/vivanov/lab1.git
error: remote origin already exists.
```
Следующей командой я отправляю данные локального репозитория на внешний репозиторий 
по ссылке, которая была указана прошлой командой

```
git push -u origin master
```
После использования данной команды выходит такой ответ:

```
$ git push -u origin master
Enumerating objects: 5, done.
Counting objects: 100% (5/5), done.
Delta compression using up to 16 threads
Compressing objects: 100% (3/3), done.
Writing objects: 100% (3/3), 425 bytes | 425.00 KiB/s, done.
Total 3 (delta 1), reused 0 (delta 0), pack-reused 0
To https://kolei.ru/vivanov/lab1.git
   1beb19e..ab4f28d  master -> master
branch 'master' set up to track 'origin/master'.
```